#include<iostream>
#include<cmath>
using namespace std;
int p(int a)
{
	int i=0;
	while(a>0)
	{
		i++;
		a=a/10;
	}
	return i;
}
int main ()
{
	long a, b, c, x1, x2, x3, x4, x5, x6, x, y, z;
	cin>>a>>b>>c;
	x=p(a);
	y=p(b);
	z=p(c);
	x1=a*pow(10,(y+z))+b*pow(10,z)+c;
	x2=a*pow(10,(y+z))+c*pow(10,y)+b;
	x3=b*pow(10,(x+z))+c*pow(10,x)+a;
	x4=b*pow(10,(x+z))+a*pow(10,z)+c;
	x5=c*pow(10,(x+y))+a*pow(10,y)+b;
	x6=c*pow(10,(x+y))+b*pow(10,x)+a;
	cout<<max(max(max(max(max(x1,x2),x3),x4),x5),x6);
	return 0;
}